Loading...
Searching...
No Matches
casacore::VariableArrayFITSFieldCopier< recordType, fitsType > Class Template Reference

`#include <FITSFieldCopier.h>`

## Public Member Functions

| VariableArrayFITSFieldCopier (RORecordFieldPtr< Array< recordType > > *recptr, FitsField< fitsType > *fitsptr, FitsField< char > *tdirptr)
| ~VariableArrayFITSFieldCopier ()
virtual void | copyToFITS ()
| Copy the current contents of the input RORecordFieldPtr to the output FitsField.
Public Member Functions inherited from casacore::FITSFieldCopier
virtual | ~FITSFieldCopier ()
| destructor

## Private Member Functions

| VariableArrayFITSFieldCopier (const VariableArrayFITSFieldCopier< recordType, fitsType > &other)
| Undefined and inaccessible.
VariableArrayFITSFieldCopier & | operator= (const VariableArrayFITSFieldCopier< recordType, fitsType > &other)

## Private Attributes

RORecordFieldPtr< Array< recordType > > * | rec_p
FitsField< fitsType > * | fits_p
FitsField< char > * | tdir_p

## Detailed Description

template<class recordType, class fitsType>
class casacore::VariableArrayFITSFieldCopier< recordType, fitsType >

Definition at line 278 of file FITSFieldCopier.h.

## Constructor & Destructor Documentation

## VariableArrayFITSFieldCopier() [1/2]

template<class recordType, class fitsType>

casacore::VariableArrayFITSFieldCopier< recordType, fitsType >::VariableArrayFITSFieldCopier | ( | RORecordFieldPtr< Array< recordType > > * | recptr,
|  | FitsField< fitsType > * | fitsptr,
|  | FitsField< char > * | tdirptr )

inline

Definition at line 282 of file FITSFieldCopier.h.

References fits_p, rec_p, and tdir_p.

Referenced by operator=(), and VariableArrayFITSFieldCopier().

## ~VariableArrayFITSFieldCopier()

template<class recordType, class fitsType>

casacore::VariableArrayFITSFieldCopier< recordType, fitsType >::~VariableArrayFITSFieldCopier | ( |  | ) |

inline

Definition at line 286 of file FITSFieldCopier.h.

References fits_p, and rec_p.

## VariableArrayFITSFieldCopier() [2/2]

template<class recordType, class fitsType>

casacore::VariableArrayFITSFieldCopier< recordType, fitsType >::VariableArrayFITSFieldCopier | ( | const VariableArrayFITSFieldCopier< recordType, fitsType > & | other | ) |

private

Undefined and inaccessible.

References VariableArrayFITSFieldCopier().

## Member Function Documentation

## copyToFITS()

template<class recordType, class fitsType>

virtual void casacore::VariableArrayFITSFieldCopier< recordType, fitsType >::copyToFITS | ( |  | ) |

inline virtual

Copy the current contents of the input RORecordFieldPtr to the output FitsField.

and construct the TDIM value for this array

and store it in the tdir_p FitsField

Implements casacore::FITSFieldCopier.

Definition at line 289 of file FITSFieldCopier.h.

References casacore::String::chars(), fits_p, casacore::String::length(), casacore::recordType(), tdir_p, and casacore::FITSKeywordUtil::toTDIM().

## operator=()

template<class recordType, class fitsType>

VariableArrayFITSFieldCopier & casacore::VariableArrayFITSFieldCopier< recordType, fitsType >::operator= | ( | const VariableArrayFITSFieldCopier< recordType, fitsType > & | other | ) |

private

References VariableArrayFITSFieldCopier().

## Member Data Documentation

## fits_p

template<class recordType, class fitsType>

FitsField<fitsType>* casacore::VariableArrayFITSFieldCopier< recordType, fitsType >::fits_p

private

Definition at line 320 of file FITSFieldCopier.h.

Referenced by copyToFITS(), VariableArrayFITSFieldCopier(), and ~VariableArrayFITSFieldCopier().

## rec_p

template<class recordType, class fitsType>

RORecordFieldPtr<Array<recordType> >* casacore::VariableArrayFITSFieldCopier< recordType, fitsType >::rec_p

private

Definition at line 319 of file FITSFieldCopier.h.

Referenced by VariableArrayFITSFieldCopier(), and ~VariableArrayFITSFieldCopier().

## tdir_p

template<class recordType, class fitsType>

FitsField<char>* casacore::VariableArrayFITSFieldCopier< recordType, fitsType >::tdir_p

private

Definition at line 321 of file FITSFieldCopier.h.

Referenced by copyToFITS(), and VariableArrayFITSFieldCopier().

The documentation for this class was generated from the following file:

- fits/FITS/FITSFieldCopier.h